Debian Bug report logs - #664444
[PATCH] rzip: Helping to update to packaging format 3.0

version graph

Package: rzip; Maintainer for rzip is Debian QA Group <packages@qa.debian.org>; Source for rzip is src:rzip.

Reported by: jari.aalto@cante.net

Date: Sat, 17 Mar 2012 19:33:02 UTC

Severity: wishlist

Tags: patch

Fixed in version rzip/2.1-2

Done: Daniel Echeverry <epsilon77@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, Alec Berryman <alec@thened.net>:
Bug#664444; Package rzip. (Sat, 17 Mar 2012 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jari.aalto@cante.net:
Extra info received and forwarded to list. Copy sent to Alec Berryman <alec@thened.net>. (Sat, 17 Mar 2012 19:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jari.aalto@cante.net
To: submit@bugs.debian.org
Subject: [PATCH] rzip: Helping to update to packaging format 3.0
Date: Sat, 17 Mar 2012 15:31:21 -0400
[Message part 1 (text/plain, inline)]
Package: rzip
Severity: wishlist
Tags: patch

Hi,

The dpatch patch management system has been deprecated for some time. The
Lintian currently flags use of dpatch packages as an error. The new 3.0
packaging format is an improved version which, among other things, contains
patch management built-in. For more information, see:

    http://wiki.debian.org/Projects/DebSrc3.0

Alec, as we spoke before, here is the proposed NMU patch.

Let me know if there is anything that needs adjusting or if it is ok
to upload  with these changes.

Thanks,
Jari

[0001-format-3.0.patch (text/x-diff, inline)]
From 595b5bf15480777cc77a55b6495f29dc9076f32a Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Wed, 29 Feb 2012 09:50:55 -0500
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 Makefile                                           |   54 --------------------
 config.h                                           |    2 +-
 debian/changelog                                   |    9 +++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 +-
 debian/patches/00list                              |    5 --
 ...aintain_times.dpatch => 10maintain_times.patch} |    8 +--
 ...{20long_options.dpatch => 20long_options.patch} |    8 +--
 ...{30man_spelling.dpatch => 30man_spelling.patch} |    8 +--
 debian/patches/{40runzip.dpatch => 40runzip.patch} |    8 +--
 debian/patches/{50fhs.dpatch => 50fhs.patch}       |    8 +--
 debian/patches/series                              |    6 ++
 debian/rules                                       |    9 +--
 debian/source/format                               |    1 +
 14 files changed, 33 insertions(+), 99 deletions(-)
 delete mode 100644 Makefile
 delete mode 100644 debian/patches/00list
 rename debian/patches/{10maintain_times.dpatch => 10maintain_times.patch} (89%)
 rename debian/patches/{20long_options.dpatch => 20long_options.patch} (98%)
 rename debian/patches/{30man_spelling.dpatch => 30man_spelling.patch} (80%)
 rename debian/patches/{40runzip.dpatch => 40runzip.patch} (68%)
 rename debian/patches/{50fhs.dpatch => 50fhs.patch} (60%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/Makefile b/Makefile
deleted file mode 100644
index 0d78f3b..0000000
--- a/Makefile
+++ /dev/null
@@ -1,54 +0,0 @@
-# Generated automatically from Makefile.in by configure.
-# Makefile for rzip. This is processed by configure to produce the final
-# Makefile
-
-prefix=/usr
-exec_prefix=${prefix}
-INSTALL_BIN=$(exec_prefix)/bin
-INSTALL_MAN=$(prefix)/share/man
-
-LIBS=-lbz2 
-CC=gcc
-CFLAGS=-Wall -g -O3
-
-INSTALLCMD=/usr/bin/install -c
-
-srcdir=.
-SHELL=/bin/sh
-
-
-.SUFFIXES:
-.SUFFIXES: .c .o
-
-OBJS= rzip.o runzip.o main.o stream.o util.o crc32.o
-
-# note that the -I. is needed to handle config.h when using VPATH
-.c.o:
-	$(CC) -I. -I$(srcdir) $(CFLAGS) -c $< -o $@
-
-all: rzip
-
-man: rzip.1 
-
-install: all
-	-mkdir -p ${INSTALL_BIN}
-	${INSTALLCMD} -m 755 rzip ${INSTALL_BIN}
-	ln ${INSTALL_BIN}/rzip ${INSTALL_BIN}/runzip
-	-mkdir -p ${INSTALL_MAN}/man1
-	${INSTALLCMD} -m 644 $(srcdir)/rzip.1 ${INSTALL_MAN}/man1/
-	ln ${INSTALL_MAN}/man1/rzip.1 ${INSTALL_MAN}/man1/runzip.1
-
-rzip: $(OBJS)
-	$(CC) $(CFLAGS) -o rzip $(OBJS) $(LIBS)
-
-rzip.1: rzip.yo
-	yodl2man -o rzip.1 rzip.yo
-
-web/rzip-man.html: rzip.yo
-	mkdir -p man
-	yodl2html -o web/rzip-man.html rzip.yo
-
-docs: rzip.1 web/rzip-man.html
-
-clean:
-	rm -f *~ $(OBJS) rzip config.cache config.log config.status
diff --git a/config.h b/config.h
index 992e835..587d18b 100644
--- a/config.h
+++ b/config.h
@@ -73,7 +73,7 @@
 #define _FILE_OFFSET_BITS 64
 
 /* Define to make ftello visible on some hosts (e.g. HP-UX 10.20). */
-#define _LARGEFILE_SOURCE 1
+/* #undef _LARGEFILE_SOURCE */
 
 /* Define for large files, on AIX-style hosts. */
 /* #undef _LARGE_FILES */
diff --git a/debian/changelog b/debian/changelog
index e2a9d9b..7703bfe 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+rzip (2.1-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Convert in-line patch to individual debian/patches: 05 Makefile.
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Wed, 29 Feb 2012 09:50:44 -0500
+
 rzip (2.1-1) unstable; urgency=low
 
   * New upstream fixes a bug that prevented some files from being
diff --git a/debian/compat b/debian/compat
index b8626c4..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-4
+9
diff --git a/debian/control b/debian/control
index 7459d61..37dfb0e 100644
--- a/debian/control
+++ b/debian/control
@@ -2,8 +2,8 @@ Source: rzip
 Section: utils
 Priority: optional
 Maintainer: Alec Berryman <alec@thened.net>
-Build-Depends: debhelper (>= 4.0.0), libbz2-dev (>= 1.0.2), dpatch
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 9), libbz2-dev (>= 1.0.2)
+Standards-Version: 3.9.3
 
 Package: rzip
 Architecture: any
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 80b298b..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,5 +0,0 @@
-10maintain_times.dpatch
-20long_options.dpatch
-30man_spelling.dpatch
-40runzip.dpatch
-50fhs.dpatch
diff --git a/debian/patches/10maintain_times.dpatch b/debian/patches/10maintain_times.patch
similarity index 89%
rename from debian/patches/10maintain_times.dpatch
rename to debian/patches/10maintain_times.patch
index bb5c043..cdf806a 100644
--- a/debian/patches/10maintain_times.dpatch
+++ b/debian/patches/10maintain_times.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 10_maintain_times.dpatch by David Frey <david@eos.lugs.ch>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Maintain modification times.
+From: David Frey <david@eos.lugs.ch>
+Subject: Maintain modification times.
 
-@DPATCH@
 diff -urNad rzip-2.1~/main.c rzip-2.1/main.c
 --- rzip-2.1~/main.c	2006-02-14 00:38:23.000000000 +0000
 +++ rzip-2.1/main.c	2006-03-13 15:52:17.000000000 +0000
diff --git a/debian/patches/20long_options.dpatch b/debian/patches/20long_options.patch
similarity index 98%
rename from debian/patches/20long_options.dpatch
rename to debian/patches/20long_options.patch
index 6d23ba4..d4c57f7 100644
--- a/debian/patches/20long_options.dpatch
+++ b/debian/patches/20long_options.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 30long_options.dpatch by Alec Berryman <alec@thened.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Implement GNU-style long options.
+From: Alec Berryman <alec@thened.net>
+Subject: Implement GNU-style long options.
 
-@DPATCH@
 diff -urNad rzip-2.1~/main.c rzip-2.1/main.c
 --- rzip-2.1~/main.c	2006-03-18 00:51:20.000000000 +0000
 +++ rzip-2.1/main.c	2006-03-18 00:51:21.000000000 +0000
diff --git a/debian/patches/30man_spelling.dpatch b/debian/patches/30man_spelling.patch
similarity index 80%
rename from debian/patches/30man_spelling.dpatch
rename to debian/patches/30man_spelling.patch
index 4c43715..158929a 100644
--- a/debian/patches/30man_spelling.dpatch
+++ b/debian/patches/30man_spelling.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 30man_spelling.dpatch by Alec Berryman <alec@thened.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Spelling error.
+From: Alec Berryman <alec@thened.net>
+Subject: Spelling error.
 
-@DPATCH@
 diff -urNad rzip-2.1~/rzip.1 rzip-2.1/rzip.1
 --- rzip-2.1~/rzip.1	2006-03-13 18:47:06.000000000 +0000
 +++ rzip-2.1/rzip.1	2006-03-13 18:47:23.000000000 +0000
diff --git a/debian/patches/40runzip.dpatch b/debian/patches/40runzip.patch
similarity index 68%
rename from debian/patches/40runzip.dpatch
rename to debian/patches/40runzip.patch
index c2156c0..cb6e6c7 100644
--- a/debian/patches/40runzip.dpatch
+++ b/debian/patches/40runzip.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 40runzip.dpatch by Alec Berryman <alec@thened.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Link rzip to runzip for easier unrzipping.
+From: Alec Berryman <alec@thened.net>
+Subject: Link rzip to runzip for easier unrzipping.
 
-@DPATCH@
 
 --- rzip/Makefile.in.orig	2005-07-11 19:16:55.028553613 -0400
 +++ rzip/Makefile.in		2005-07-11 19:17:36.865728150 -0400
diff --git a/debian/patches/50fhs.dpatch b/debian/patches/50fhs.patch
similarity index 60%
rename from debian/patches/50fhs.dpatch
rename to debian/patches/50fhs.patch
index 4e7aecf..c63978e 100644
--- a/debian/patches/50fhs.dpatch
+++ b/debian/patches/50fhs.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 50fhs.dpatch by Alec Berryman <alec@thened.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: No description.
+From: Alec Berryman <alec@thened.net>
+Subject: Correct INSTALL_MAN prefix
 
-@DPATCH@
 --- rzip-2.1~/Makefile.in	2006-03-13 19:00:46.000000000 +0000
 +++ rzip-2.1/Makefile.in	2006-03-13 19:06:15.000000000 +0000
 @@ -4,7 +4,7 @@
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..cd01e4c
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,6 @@
+05makefile
+10maintain_times.patch
+20long_options.patch
+30man_spelling.patch
+40runzip.patch
+50fhs.patch
diff --git a/debian/rules b/debian/rules
index b94a746..8e1c3a0 100755
--- a/debian/rules
+++ b/debian/rules
@@ -4,7 +4,6 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-include /usr/share/dpatch/dpatch.make
 
 CFLAGS = -Wall -g
 
@@ -24,17 +23,15 @@ config.status: configure
 
 build: build-stamp
 
-build-stamp:  patch config.status
+build-stamp: config.status
 	dh_testdir
 	$(MAKE)
 	touch build-stamp
 
-clean: clean-patched unpatch
-
-clean-patched:
+clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
+	rm -f build-stamp config.h
 	-$(MAKE) clean
 	dh_clean 
 
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.9


Information forwarded to debian-bugs-dist@lists.debian.org, Alec Berryman <alec@thened.net>:
Bug#664444; Package rzip. (Fri, 06 Apr 2012 09:39:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to Alec Berryman <alec@thened.net>. (Fri, 06 Apr 2012 09:39:28 GMT) Full text and rfc822 format available.

Message #10 received at 664444@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 664444@bugs.debian.org
Subject: Bug#664444: [NMU] rzip: Helping to update to packaging format 3.0
Date: Fri, 06 Apr 2012 12:35:57 +0300
I'm planning to NMU with changes listed in previous mail's patch to help
migrate away from deprecated dpatch.

Please let me know if an update is alredy being worked on, or if the
previous patch needs adjustments, or if there is anything that should
delay the NMU.




Reply sent to Daniel Echeverry <epsilon77@gmail.com>:
You have taken responsibility. (Wed, 04 Sep 2013 22:21:09 GMT) Full text and rfc822 format available.

Notification sent to jari.aalto@cante.net:
Bug acknowledged by developer. (Wed, 04 Sep 2013 22:21:09 GMT) Full text and rfc822 format available.

Message #15 received at 664444-close@bugs.debian.org (full text, mbox):

From: Daniel Echeverry <epsilon77@gmail.com>
To: 664444-close@bugs.debian.org
Subject: Bug#664444: fixed in rzip 2.1-2
Date: Wed, 04 Sep 2013 22:18:46 +0000
Source: rzip
Source-Version: 2.1-2

We believe that the bug you reported is fixed in the latest version of
rzip, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664444@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Echeverry <epsilon77@gmail.com> (supplier of updated rzip package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 14 Aug 2013 21:46:23 -0500
Source: rzip
Binary: rzip
Architecture: source amd64
Version: 2.1-2
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Daniel Echeverry <epsilon77@gmail.com>
Description: 
 rzip       - compression program for large files
Closes: 355835 664444 715176
Changes: 
 rzip (2.1-2) unstable; urgency=low
 .
   [ Daniel Echeverry ]
   * QA upload.
   * Switch compat level 4 to 9.
   * Switch to dpkg-source 3.0 (quilt) format. Closes: #664444
   * Add debian/watch
   * debian/control
     + Set QA team as Maintainer
     + Remove dpatch in B-D
     + Add ${misc:Depends}. Closes: #715176
     + Add Homepage field
     + Bump Standards-Version to 3.9.4
     + Bump debhelper to 9 in B-D
   * debian/patches
     + Add 60fix_manpage.diff
       + Fix hyphen-used-as-minus-sign lintian warning
       + Fix some typos. Closes: #355835
     + Add description in 50fhs.patch
     + Add 70hardeningflags.diff
       + Add CPPFLAGS, CFLAGS and LDFLAGS to use hardening flags
   * debian/copyright
     + Update to DEP5 copyright format 1.0
   * debian/rules
     + Use new-style dh format
   * Add debian/rzip.clean
     + Clean up generate and build files
 .
   [ Ryan Kavanagh ]
   * Remove Makefile and config.h on clean
Checksums-Sha1: 
 41cbab0e2ced6815018e033b5b3c3341485ea1ba 2710 rzip_2.1-2.dsc
 11891093dec5094b2c403db36f5fca06e12ae351 6988 rzip_2.1-2.debian.tar.gz
 09cd1275a3d8ed0795eb9e34eff994b7e77c522e 16874 rzip_2.1-2_amd64.deb
Checksums-Sha256: 
 e80cf7e6cb937e46dd99e06002cb53d64e98d3ed48a78d1f707bd96f5d45d3ab 2710 rzip_2.1-2.dsc
 0297f1452b4393afd1d955011715e21210e199da103b6f7cda9039da7a32fde7 6988 rzip_2.1-2.debian.tar.gz
 310fc10fe63f6c55ab2e70db3b9f6fbce5e107a242973ae79597bf6641a7dd76 16874 rzip_2.1-2_amd64.deb
Files: 
 a33342aae314146bdbf1674534fe90f9 2710 utils optional rzip_2.1-2.dsc
 029490f52b4eea578c3a6f5e3160fb81 6988 utils optional rzip_2.1-2.debian.tar.gz
 e7c2c4862fe0dd2deda89bb0b752b2ba 16874 utils optional rzip_2.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQUcBAEBCgAGBQJSJ62TAAoJEI97+PxKEcl6b6Qn/js5XhxY/YqvX3U8tPOyOoET
tYTOBJux4LXP8ByWifCDSy6GZNV40fodgRfV2rKiB6hfztyKwv0VYA/po9EthYjf
5hOmYV5ETYJAueihOehUkKuTjganeF00BgDui+hcZnzBKgweCALvWAvoGKTuep3q
sI1qX3604Xjqja558Ro7/uIRSpJPFmDrYYZkMxo92caM3yQiN/ZDPrMwDkx00JQm
B0Hlr3xF9NPcF6tEHSdrQSAvi2ZgZ9oh/1lca0viIkT/u20hGd0FnE57sMxkd/kd
rommWkrxpp6b2HYYyKE7fxguIgaW4vSxY5YsaQYsXJg1fWPXVEw7YUBcdCNuzwcv
ciLZ70wWljWbnDLh5igT79m8m8zl8ZSW/fvbs9Y1oUcKZo1nGHAeA9aDN/NVZfRP
jCXNp+cKGPWEJc+QuhUS9QwYYE8/L4TKMj6bn6FRhSfNiVNIHObh9DKNQzdAVunV
WuHPCtG4yPpUjtJctlzfJxAgo4WViUVCHVnA8uCAgwq72x5ZxDrD2+R8cHfurrkb
zUIRoidwPyXPLD3uwmnbmbIG0gawKrSLttYRJWgX/cwzNy27iDTIDtDY9/NUTWCY
HrqXczwN2BJMDLPhFGWTtSoyeWbzKk0kjEffnE0s96wfQrPsFTes2CSYFicw63Iq
1zEkhTAcQMacM6sMY9C4qo7xz8ZFKvnccDTDJ3v59k1eIgP7XNBxN+Y06QkgbSUK
sbEMTTXrN0Eny2FCiQ/t1hQ6kYeVBE5a24Mp9cWtb7gVQYM/JLJryzmuWFiMFLhC
ksK3MlqkochQKcuaOZtrXdr24jIzZweVaIg86Ie0GPFTn4qNg6BIgbNSO2nJVJCv
AcEW4pWDwqIuGBVpvQ/uy2u39WXK6m3f6p0c9gZCZRw/WDQ9ytwQwVx8H0AqRsXj
bvF5gJgk9zxAH/C0nHmKqVYJ8aGs2eLgNnuHLHaUMVodjxV5VyS2NbN5i3lVFZ5X
FsIqLgC+C05adUAZ238qgYyiG1DiYqRKsrdxsX9MElA5j7X+RtBaJyeTAKhZCaHz
jf6AfxPbpw0ZoKLpN3/uow+7XNrwWH0bKwM07b4NnV7hroQoAIL24iDcR+HJtWzh
Da4dr03mNQi+4twNPUta+U9ci4z6N0uCZ2dMl34JUR3Ro41z+g3uBQQIck9uebBP
1tJMaERcJMKDGi4/cX7sByp8D+r3ZPcRLPsb8oV+SutYFwLDTY+p+J7fU6EciyZh
veLR/VhoDOmuKUbUmSXkV0vkD3d4CtbfPWiI7DOjO0gZjZZaEWRl5fqJv4OFs16F
QmoGwEKIe6kw6e2NDv5A/na1qrn5w6DZH6gr5jJYUmeq7PnAVPlMtW+e+n+BlErp
y0o5/QrUmWhiGMkKZ2OGLlHaiDgw0mIL17+BJSurHh4oUd18AAc99IUaIcx5Am2D
3a06ZPrkBINTMzCzxkOlhjZUcxODnx4gVaPG5W9JwGyCe6HJQ5m4iQ99AGpe7vih
2eSS4hEKZRHgm8iMn47bahVBbPBPDNCiE9qnxxnNiqFnssQoszDVtQ5r1op1HP3/
trlk5thYxOkt49LqwhKgII5g+D6LGAAvStZ7z8rMTot4sMN5/COeQV/JjLdMTDU8
Uj/CaWiZ+YpfnKQctLk6OipvR8kJ8WU4345AJQcFfcr9TN52lkTxE/zStEXyyt2y
1tcl+oIN7J3dF1jk6eyo
=Y2fN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Oct 2013 07:30:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:37:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.